org.jboss.netty.handler.codec.spdy

## Class SpdyHttpHeaders

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.SpdyHttpHeaders

    public final class SpdyHttpHeaders
    extends Object

Provides the constants for the header names and the utility methods used by the `SpdyHttpDecoder` and `SpdyHttpEncoder`.

### Nested Class Summary

Nested Classes
`static class` `SpdyHttpHeaders.Names` SPDY HTTP header names

### Method Summary

Methods
`static int` `getAssociatedToStreamId(HttpMessage message)` Returns the value of the `"X-SPDY-Associated-To-Stream-ID"` header.
`static int` `getAssociatedToStreamID(HttpMessage message)` Deprecated. Use `getAssociatedToStreamId(HttpMessage)` instead.
`static byte` `getPriority(HttpMessage message)` Returns the value of the `"X-SPDY-Priority"` header.
`static String` `getScheme(HttpMessage message)` Returns the value of the `"X-SPDY-Scheme"` header.
`static int` `getStreamId(HttpMessage message)` Returns the value of the `"X-SPDY-Stream-ID"` header.
`static int` `getStreamID(HttpMessage message)` Deprecated. Use `getStreamId(HttpMessage)` instead.
`static String` `getUrl(HttpMessage message)` Returns the value of the `"X-SPDY-URL"` header.
`static void` `removeAssociatedToStreamId(HttpMessage message)` Removes the `"X-SPDY-Associated-To-Stream-ID"` header.
`static void` `removeAssociatedToStreamID(HttpMessage message)` Deprecated. Use `removeAssociatedToStreamId(HttpMessage)` instead.
`static void` `removePriority(HttpMessage message)` Removes the `"X-SPDY-Priority"` header.
`static void` `removeScheme(HttpMessage message)` Removes the `"X-SPDY-Scheme"` header.
`static void` `removeStreamId(HttpMessage message)` Removes the `"X-SPDY-Stream-ID"` header.
`static void` `removeStreamID(HttpMessage message)` Deprecated. Use `removeStreamId(HttpMessage)` instead.
`static void` `removeUrl(HttpMessage message)` Removes the `"X-SPDY-URL"` header.
`static void` `setAssociatedToStreamId(HttpMessage message, int associatedToStreamId)` Sets the `"X-SPDY-Associated-To-Stream-ID"` header.
`static void` `setAssociatedToStreamID(HttpMessage message, int associatedToStreamId)` Deprecated. Use `setAssociatedToStreamId(HttpMessage, int)` instead.
`static void` `setPriority(HttpMessage message, byte priority)` Sets the `"X-SPDY-Priority"` header.
`static void` `setScheme(HttpMessage message, String scheme)` Sets the `"X-SPDY-Scheme"` header.
`static void` `setStreamId(HttpMessage message, int streamId)` Sets the `"X-SPDY-Stream-ID"` header.
`static void` `setStreamID(HttpMessage message, int streamId)` Deprecated. Use `setStreamId(HttpMessage, int)` instead.
`static void` `setUrl(HttpMessage message, String url)` Sets the `"X-SPDY-URL"` header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### removeStreamID

    @Deprecated
    public static void removeStreamID(HttpMessage message)

Deprecated. Use `removeStreamId(HttpMessage)` instead.

#### removeStreamId

    public static void removeStreamId(HttpMessage message)

Removes the `"X-SPDY-Stream-ID"` header.

#### getStreamID

    @Deprecated
    public static int getStreamID(HttpMessage message)

Deprecated. Use `getStreamId(HttpMessage)` instead.

#### getStreamId

    public static int getStreamId(HttpMessage message)

Returns the value of the `"X-SPDY-Stream-ID"` header.

#### setStreamID

    @Deprecated
    public static void setStreamID(HttpMessage message,
                              int streamId)

Deprecated. Use `setStreamId(HttpMessage, int)` instead.

#### setStreamId

    public static void setStreamId(HttpMessage message,
                   int streamId)

Sets the `"X-SPDY-Stream-ID"` header.

#### removeAssociatedToStreamID

    @Deprecated
    public static void removeAssociatedToStreamID(HttpMessage message)

Deprecated. Use `removeAssociatedToStreamId(HttpMessage)` instead.

#### removeAssociatedToStreamId

    public static void removeAssociatedToStreamId(HttpMessage message)

Removes the `"X-SPDY-Associated-To-Stream-ID"` header.

#### getAssociatedToStreamID

    @Deprecated
    public static int getAssociatedToStreamID(HttpMessage message)

Deprecated. Use `getAssociatedToStreamId(HttpMessage)` instead.

#### getAssociatedToStreamId

    public static int getAssociatedToStreamId(HttpMessage message)

Returns the value of the `"X-SPDY-Associated-To-Stream-ID"` header.

Returns:
  the header value or `0` if there is no such header or if the header value is not a number

#### setAssociatedToStreamID

    @Deprecated
    public static void setAssociatedToStreamID(HttpMessage message,
                                          int associatedToStreamId)

Deprecated. Use `setAssociatedToStreamId(HttpMessage, int)` instead.

#### setAssociatedToStreamId

    public static void setAssociatedToStreamId(HttpMessage message,
                               int associatedToStreamId)

Sets the `"X-SPDY-Associated-To-Stream-ID"` header.

#### removePriority

    public static void removePriority(HttpMessage message)

Removes the `"X-SPDY-Priority"` header.

#### getPriority

    public static byte getPriority(HttpMessage message)

Returns the value of the `"X-SPDY-Priority"` header.

Returns:
  the header value or `0` if there is no such header or if the header value is not a number

#### setPriority

    public static void setPriority(HttpMessage message,
                   byte priority)

Sets the `"X-SPDY-Priority"` header.

#### removeUrl

    public static void removeUrl(HttpMessage message)

Removes the `"X-SPDY-URL"` header.

#### getUrl

    public static String getUrl(HttpMessage message)

Returns the value of the `"X-SPDY-URL"` header.

#### setUrl

    public static void setUrl(HttpMessage message,
              String url)

Sets the `"X-SPDY-URL"` header.

#### removeScheme

    public static void removeScheme(HttpMessage message)

Removes the `"X-SPDY-Scheme"` header.

#### getScheme

    public static String getScheme(HttpMessage message)

Returns the value of the `"X-SPDY-Scheme"` header.

#### setScheme

    public static void setScheme(HttpMessage message,
                 String scheme)

Sets the `"X-SPDY-Scheme"` header.